[arch-commits] Commit in openoffice-base-devel/trunk (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed May 13 03:37:58 EDT 2009


    Date: Wednesday, May 13, 2009 @ 03:37:58
  Author: andyrtr
Revision: 39203

upgpkg: openoffice-base-devel 3.2_dev300_m48-1
    new version DEV300_m48

Added:
  openoffice-base-devel/trunk/buildfix-native-setup.diff
Modified:
  openoffice-base-devel/trunk/ChangeLog
  openoffice-base-devel/trunk/PKGBUILD

----------------------------+
 ChangeLog                  |    4 ++++
 PKGBUILD                   |   27 ++++++++++++++-------------
 buildfix-native-setup.diff |   12 ++++++++++++
 3 files changed, 30 insertions(+), 13 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-05-13 05:56:41 UTC (rev 39202)
+++ ChangeLog	2009-05-13 07:37:58 UTC (rev 39203)
@@ -1,3 +1,7 @@
+openoffice-base-devel - 3.2_dev300_m48-1
+- new snapshot
+- added patch to fix broken epm packaging
+
 openoffice-base-devel - 3.2_dev300_m42-1
 - next snapshot
 

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-13 05:56:41 UTC (rev 39202)
+++ PKGBUILD	2009-05-13 07:37:58 UTC (rev 39203)
@@ -2,11 +2,11 @@
 # Contributor: Hussam Al-Tayeb <ht990332 at gmail.com>
 
 pkgname=openoffice-base-devel
-pkgver=3.2_dev300_m47
+pkgver=3.2_dev300_m48
 pkgrel=1
 pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
 arch=('i686' 'x86_64')
-_OO_milestone=DEV300_m47
+_OO_milestone=DEV300_m48
 license=('LGPL3')
 url="http://www.openoffice.org"
 install=openoffice.install
@@ -20,7 +20,6 @@
              'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.0.5"
              'apache-ant' 'cairo' 'gperf' 'libcups' 'pstoedit' 'gconf' "openjdk6>=1.3.1-2") # 'boost'
 provides=('openoffice-base')
-
 source=(${pkgname}-${_OO_milestone}.tar.gz
 	template.desktop
 	default-no-startup-wizard.diff
@@ -30,6 +29,7 @@
 	shell.patch
 	system_hsqldb.diff
 	buildfix_FormulaMissingHeader.diff
+	buildfix-native-setup.diff
 	openoffice.profile)
 options=('!distcc' '!ccache' '!makeflags')
 
@@ -61,7 +61,8 @@
 	# build fixes
 	patch -Np0 -i ${srcdir}/buildfix-gcc43.diff || return 1
 	patch -Np0 -i ${srcdir}/buildfix_FormulaMissingHeader.diff || return 1
-
+	patch -Np0 -i ${srcdir}/buildfix-native-setup.diff || return 1
+	
 	# allows soffice to find the user's firefox profile so that it can read
 	# his digital certificates. Nss stores digital certificates in your mozilla firefox profile. 
 	patch -Np0 -i ${srcdir}/soffice-detect-mozilla-certificates.diff || return 1
@@ -101,11 +102,11 @@
 	--disable-binfilter\
 	--disable-evolution2\
 	--disable-kde\
-	--disable-lockdown\
-	--disable-mediawiki\
-	--disable-minimizer\
+	--enable-lockdown\
+	--enable-mediawiki\
+	--enable-minimizer\
 	--disable-odk\
-	--disable-pdfimport\
+	--enable-pdfimport\
 	--disable-qadevooo\
 	--disable-reportdesign\
 	--disable-systray\
@@ -181,14 +182,14 @@
 	cd ${pkgdir}/opt/
         ## Step 1 
         cd ${pkgdir}/opt/openoffice.org || return 1
-        mv ure/ basis3.1/ || return 1
-        cd basis3.1 || return 1
+        mv ure/ basis3.2/ || return 1
+        cd basis3.2 || return 1
         rm ure-link && mv ure ure-link || return 1
         ## Step 2
         cd ${pkgdir}/opt/ || return 1
-        mv openoffice.org/basis3.1/ openoffice.org3/ || return 1
+        mv openoffice.org/basis3.2/ openoffice.org3/ || return 1
         cd openoffice.org3/ || return 1
-        rm basis-link && mv basis3.1 basis-link || return 1
+        rm basis-link && mv basis3.2 basis-link || return 1
         ## Step 3        
         cd ${pkgdir}/opt/ || return 1
         rmdir ${pkgdir}/opt/openoffice.org || return 1
@@ -264,7 +265,7 @@
 	
 	cd ${pkgdir}/usr/share/applications/
 	sed -i -e 's|Icon=|Icon=dev-|g' $startdir/pkg/usr/share/applications/*.desktop || return 1
-	sed -i -e 's|OpenOffice\.org\ 3\.0|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
+	sed -i -e 's|OpenOffice\.org\ 3\.2|OpenOffice\.org\ devel|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 	sed -i -e 's|\/opt\/openoffice\-dev\/program\/soffice|\/usr\/bin\/soffice\-dev|g' ${pkgdir}/usr/share/applications/*.desktop || return 1
 
 	cd ${pkgdir}/opt/openoffice-dev/program/

Added: buildfix-native-setup.diff
===================================================================
--- buildfix-native-setup.diff	                        (rev 0)
+++ buildfix-native-setup.diff	2009-05-13 07:37:58 UTC (rev 39203)
@@ -0,0 +1,12 @@
+--- solenv/bin/modules/installer/control.pm
++++ solenv/bin/modules/installer/control.pm
+@@ -714,7 +714,8 @@
+ 		
+ 	if ( $installer::globals::patch ) {	$installer::globals::addsystemintegration = 0; }
+ 	if ( $installer::globals::languagepack ) { $installer::globals::addsystemintegration = 0; }
+-
++if ( $installer::globals::packageformat eq "native" ) { 
++	$installer::globals::addsystemintegration = 0; }
+ 	my $infoline = "Value of \$installer::globals::addsystemintegration: $installer::globals::addsystemintegration\n";
+ 	push( @installer::globals::globallogfileinfo, $infoline);
+ }



More information about the arch-commits mailing list